### Method

# Goa Object peek_oauth_based

#### Declaration [src]

    GoaOAuthBased*
    goa_object_peek_oauth_based (
      GoaObject* object
    )

#### Description [src]

Like `goa_object_get_oauth_based()` but doesn’t increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the `GDBusObjectManagerClient` or `GDBusObjectManagerServer` for `object` is running.

This method is not directly available to language bindings.

#### Return value

Type: `GoaOAuthBased`

A `GoaOAuthBased` or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object`.

The returned data is owned by the instance.
The return value can be `NULL`.